#
# usage:        netruser.sh
#
# abstract:     This Bourne Shell script determines if the user has
#		NETWORK root privileges in the MATLAB root directory.
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-95 by The MathWorks, Inc.
# $Revision: 1.11 $  $Date: 1995/04/17 13:31:58 $
#----------------------------------------------------------------------------
#
# 		Check for NETWORK "root" user. [1, 3, 4]
#		------------------------------
#
    (cat /dev/null > $MATLAB/update/$$a) 2>/dev/null
    if [ $? -ne 0 ]; then
	rm $MATLAB/update/$$a > /dev/null 2>&1
        $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '--------------------------------------------------------------------------------'
    echo "    You are 'local' root user but not 'network' root user . . ."
    echo ""      
    echo "    You CANNOT install a working MATLAB. You do not have permission"
    echo "    to write into MATLAB directories."
    echo ""
    echo "    The MATLAB root directory appears to be part of a network"
    echo "    filesystem that has not be configured to support root user on"
    echo "    this host."
    echo ""      
    echo '--------------------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        . $dir/$abort_sh
    fi
    rm $MATLAB/update/$$a > /dev/null 2>&1
